Subject: Re: [PATCH 9/10] Remove cmd_usage() routine and re-organize the help/usage code.

From: Martin Waitz <[email-masked]>
Date: Wed, 2 Aug 2006 15:21:50 +0200

hoi :)

On Wed, Aug 02, 2006 at 02:03:44AM +0100, Ramsay Jones wrote:
>  builtin-help.c |   54
> +++++++++++++++++++++++-------------------------------
>  builtin.h      |    7 ++-----
>  git.c          |    7 +++++--
>  3 files changed, 30 insertions(+), 38 deletions(-)

this patch is at the tip of "master" now, but with one more change:
builtin-help.c           |   54 ++++++++++++++++++++--------------------------
builtin.h                |    7 ++----
git.c                    |    7 ++++--
t/t9100-git-svn-basic.sh |    7 +++---
4 files changed, 33 insertions(+), 42 deletions(-)

diff --git a/t/t9100-git-svn-basic.sh b/t/t9100-git-svn-basic.sh
index bf1d638..34a3ccd 100755
--- a/t/t9100-git-svn-basic.sh
+++ b/t/t9100-git-svn-basic.sh
@@ -170,7 +170,7 @@ then
             test -L $SVN_TREE/exec-2.sh"

        name='modify a symlink to become a file'
-       git help > help || true
+       echo git help > help || true
        rm exec-2.sh
        cp help exec-2.sh
        git update-index exec-2.sh

this looks strange.

-- 
Martin Waitz